From: Loic Le Page <llepage@fluendo.com>
Date: Wed, 19 Jan 2022 19:01:55 +0100
Subject: Fix non-initialized variable in glib/gvariant-parser.c

Origin: upstream, 2.71.3, commit:28fa4325a45d55f1cf6d03509da7a123bf2a4c72
---
 glib/gvariant-parser.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/glib/gvariant-parser.c b/glib/gvariant-parser.c
index bb5238b..1b89259 100644
--- a/glib/gvariant-parser.c
+++ b/glib/gvariant-parser.c
@@ -1564,7 +1564,7 @@ unicode_unescape (const gchar  *src,
 {
   gchar buffer[9];
   guint64 value = 0;
-  gchar *end;
+  gchar *end = NULL;
   gsize n_valid_chars;
 
   (*src_ofs)++;
